Errors building Sage 10.3 in Sonoma 14.3.1

93 views
Skip to first unread message

Jon Higa

unread,
Mar 25, 2024, 4:22:29 PMMar 25
to sage-support
I tried to build Sage 10.3 in Sonoma 14.3.1 on an M3 Pro.

   git clone https://github.com/sagemath/sage.git

   cd sage

   git checkout 10.3

   brew upgrade

   export MAKE='make -j8'

   source .homebrew-build-env

   make configure

   ./configure --prefix=/usr/local/sage/10.3 --enable-database_odlyzko_zeta --disable-editable --with-python=/opt/homebrew/opt/pyt...@3.12/bin/python3

   make


The build halted on sagelib, but I've included all the logs from grep -li "^Error" logs/pkgs/* in case there are multiple causes.

Thank you for any advice. I'm still fine running Sage 10.2, but I thought I'd try the latest and greatest.

sympow-2.023.6.log
pythran-0.14.0.log.gz
config.log
sagelib-10.3.log.gz
sphinxcontrib_websupport-1.2.7.log
pyyaml-6.0.1.log

Dima Pasechnik

unread,
Mar 27, 2024, 6:24:37 AMMar 27
to sage-s...@googlegroups.com
On Mon, Mar 25, 2024 at 8:22 PM Jon Higa <jth...@alumni.princeton.edu> wrote:
I tried to build Sage 10.3 in Sonoma 14.3.1 on an M3 Pro.

   git clone https://github.com/sagemath/sage.git

   cd sage

   git checkout 10.3

   brew upgrade

   export MAKE='make -j8'

   source .homebrew-build-env

   make configure

   ./configure --prefix=/usr/local/sage/10.3 --enable-database_odlyzko_zeta --disable-editable --with-python=/opt/homebrew/opt/pyt...@3.12/bin/python3

   make


The build halted on sagelib, but I've included all the logs from grep -li "^Error" logs/pkgs/* in case there are multiple causes.

sagemath doesn't officially support Python 3.12.
Can you try with 3.11 instead?

 

Thank you for any advice. I'm still fine running Sage 10.2, but I thought I'd try the latest and greatest.

--
You received this message because you are subscribed to the Google Groups "sage-support" group.
To unsubscribe from this group and stop receiving emails from it, send an email to sage-support...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/sage-support/14d3b9f9-d46d-4e89-bd3b-88a225bd71acn%40googlegroups.com.

Jon Higa

unread,
Mar 27, 2024, 11:54:21 AMMar 27
to sage-support
Switched to this, continuing in the same directory:

git clean -xdf
source .homebrew-build-env
make configure
./configure --prefix=/usr/local/sage/10.3 --enable-database_odlyzko_zeta --disable-editable --with-python=/opt/homebrew/opt/pyt...@3.11/bin/python3.11
make

New logs attached.

Thanks.
pyyaml-6.0.1.log
pythran-0.14.0.log.gz
sympow-2.023.6.log
config.log
sagelib-10.3.log.gz
sphinxcontrib_websupport-1.2.7.log

Dima Pasechnik

unread,
Mar 27, 2024, 12:58:10 PMMar 27
to sage-s...@googlegroups.com
I've cut out the interesting part of the log.
It's a linker error (IMHO the linking should be done with C++, not
with C compiler, but that's probably OK on macOS).
Related to GiNaC (not a surprise)

Anyway, I haven't seen this sort of errors before. Something for Apple fans...
> --
> You received this message because you are subscribed to the Google Groups "sage-support" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to sage-support...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/sage-support/9bfc9093-a640-4c75-9b62-0fd21ab3474en%40googlegroups.com.
sagelib-10.3.log

John H Palmieri

unread,
Mar 27, 2024, 6:27:03 PMMar 27
to sage-support
I'm having the same problem (I think) with Sage 10.4.beta0 on two different Apple Silicon machines.

Matthias Koeppe

unread,
Mar 29, 2024, 3:44:34 PMMar 29
to sage-support
This one is fixed in https://github.com/sagemath/sage/pull/37646



On Wednesday, March 27, 2024 at 9:58:10 AM UTC-7 Dima Pasechnik wrote:
Reply all
Reply to author
Forward
0 new messages